[Launch]
ProgramExecutable=Fetion\Fetion.exe
DirectoryMoveOK=yes

[Activate]
Registry=true

[RegistryKeys]
FetionPortable=HKCU\Software\China Mobile\Fetion
-=HKLM\SOFTWARE\China Mobile\Fetion
-=HKLM\SOFTWARE\Classes\.ffl
-=HKLM\SOFTWARE\Classes\A1AmigoOleObject.Object
-=HKLM\SOFTWARE\Classes\A1AmigoOleObject.Object.1
-=HKLM\SOFTWARE\Classes\AppID\{004E4631-11D8-445E-A5B2-63B3AAD0653B}
-=HKLM\SOFTWARE\Classes\AppID\{14EC6DEF-D70A-417D-AF6C-7CDB7CBDC0C1}
-=HKLM\SOFTWARE\Classes\AppID\{ACF75715-593C-49BB-8418-C7422D54BF75}
-=HKLM\SOFTWARE\Classes\AppID\{B391B40B-E606-4C46-B6EF-6C4CFD2D34BA}
-=HKLM\SOFTWARE\Classes\AppID\{C72578B7-CD26-41f7-81CF-FBCF9F94F28C}
-=HKLM\SOFTWARE\Classes\AppID\{E3408DF0-F37A-46A7-83BF-E804742BFAB5}
-=HKLM\SOFTWARE\Classes\AppID\AvatarX.DLL
-=HKLM\SOFTWARE\Classes\AppID\DynamicGifCtl.DLL
-=HKLM\SOFTWARE\Classes\AppID\Fetion.QuickLaunch.DLL
-=HKLM\SOFTWARE\Classes\AppID\Fetion.WebDetect.DLL
-=HKLM\SOFTWARE\Classes\AppID\FetionExt.DLL
-=HKLM\SOFTWARE\Classes\AppID\sensmon.DLL
-=HKLM\SOFTWARE\Classes\AvatarX.AvatarX
-=HKLM\SOFTWARE\Classes\AvatarX.AvatarX\CLSID
-=HKLM\SOFTWARE\Classes\AvatarX.AvatarX\CurVer
-=HKLM\SOFTWARE\Classes\AvatarX.AvatarX.1
-=HKLM\SOFTWARE\Classes\AvatarX.AvatarX.1\CLSID
-=HKLM\SOFTWARE\Classes\CLSID\{1C2281FB-5DC5-4D8C-8883-72EA0571A512}
-=HKLM\SOFTWARE\Classes\CLSID\{3F6392BC-FC46-4859-AE65-82C47B3C62DF}
-=HKLM\SOFTWARE\Classes\CLSID\{9089C2A8-2D18-4BB2-BB59-F9D15CBFCF1E}
-=HKLM\SOFTWARE\Classes\CLSID\{AEB5EDB7-9AD1-41B2-9326-651CA5D23D12}
-=HKLM\SOFTWARE\Classes\CLSID\{B4227968-9E54-44E0-850A-880FDA9B2987}
-=HKLM\SOFTWARE\Classes\CLSID\{E59FA7A1-FF17-40E6-9F10-9A8D9A0D7569}
-=HKLM\SOFTWARE\Classes\Fetion
-=HKLM\SOFTWARE\Classes\Fetion.QuickLaunch
-=HKLM\SOFTWARE\Classes\Fetion.QuickLaunch.1
-=HKLM\SOFTWARE\Classes\Fetion.WebDetect
-=HKLM\SOFTWARE\Classes\Fetion.WebDetect.1
-=HKLM\SOFTWARE\Classes\FetionEmoticon.Pack
-=HKLM\SOFTWARE\Classes\FetionExt.AddIn
-=HKLM\SOFTWARE\Classes\FetionExt.AddIn.1
-=HKLM\SOFTWARE\Classes\Interface\{01653581-4348-439B-8CFB-2D0F746DD72C}
-=HKLM\SOFTWARE\Classes\Interface\{31E6BD97-148B-4C0B-97DE-BFFB69422C60}
-=HKLM\SOFTWARE\Classes\Interface\{5928C2CC-1975-4F2D-975C-C4ABD45A6433}
-=HKLM\SOFTWARE\Classes\Interface\{A5589388-41C5-4B58-982A-AA17AB8A30C6}
-=HKLM\SOFTWARE\Classes\Interface\{B0E267AD-71A5-4A3A-B3CB-549A689A8C8B}
-=HKLM\SOFTWARE\Classes\Interface\{D66D9E53-7D82-492A-AE9A-EF6272948377}
-=HKLM\SOFTWARE\Classes\Interface\{DE7C57E4-E0E9-4C2A-AA47-5DDAF942FEC1}
-=HKLM\SOFTWARE\Classes\Interface\{E6D26A67-9998-4080-B5E5-AA3D9626CBC9}
-=HKLM\SOFTWARE\Classes\sensmon.SensPump
-=HKLM\SOFTWARE\Classes\sensmon.SensPump.1
-=HKLM\SOFTWARE\Classes\TypeLib\{18DD9EBC-01BB-4198-8D75-5A04B4C3825C}
-=HKLM\SOFTWARE\Classes\TypeLib\{20D0934A-A39A-4E10-826B-1BFB91B3CE20}
-=HKLM\SOFTWARE\Classes\TypeLib\{97298D7E-CFB8-4FAD-BBD3-88B1F46EA3F8}
-=HKLM\SOFTWARE\Classes\TypeLib\{AA275B4A-CB55-447B-84DF-F50E19C15743}
-=HKLM\SOFTWARE\Classes\TypeLib\{C6AAA624-0724-42A0-A1D4-4B9D0AB8B008}
-=HKLM\SOFTWARE\Classes\TypeLib\{E3408DF0-F37A-46A7-83BF-E804742BFAB5}

[RegistryValueWrite]
HKLM\Software\China Mobile\Fetion\FetionPath=REG_SZ:%PAL:AppDir%\Fetion\Fetion.exe
HKCU\Software\China Mobile\Fetion\UserPath=REG_SZ:%PAL:DataDir%\Users

[DirectoriesMove]
settings\Global=%ALLUSERSAPPDATA%\Fetion
-=%APPDATA%\Fetion
-=%PAL:AppDir%\Fetion\MinipageConfig

[FilesMove]
settings\Register.ini=%PAL:AppDir%\Fetion
settings\key.dat=%PAL:AppDir%\Fetion

[RegistryCleanupIfEmpty]
1=HKLM\SOFTWARE\China Mobile
2=HKCU\SOFTWARE\China Mobile

[DirectoriesCleanupIfEmpty]
1=%DOCUMENTS%\Fetion